{ pkgs, ... }: {

  fonts = {
    enableDefaultPackages = false;
    fontDir.enable = true;

    packages = with pkgs; [
      ibm-plex
      lmmath
      openmoji-color
      material-design-icons

      noto-fonts
      unifont
    ];

    fontconfig = {
      enable = true;
      allowBitmaps = true;
      defaultFonts = {
        monospace = [ "IBM Plex Mono" "Openmoji" "Material Design Icons" ];
        serif = [ "IBM Plex Sans" "Openmoji" "Material Design Icons" ];
        sansSerif = [ "IBM Plex Sans" "Openmoji" "Material Design Icons" ];
        emoji = [ "Openmoji" ];
      };

      hinting.style = "medium";
    };
  };
}
